Bug 8662 - Remove unused famfamfam icons
Summary: Remove unused famfamfam icons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 8624 8793
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 19:29 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8662 - Remove unused famfamfam icons (1.32 MB, patch)
2012-10-25 13:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8662 - Remove unused famfamfam icons (1.32 MB, patch)
2012-12-07 16:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8662 - Remove unused famfamfam icons (1.32 MB, patch)
2013-05-30 19:41 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8662 - Remove unused famfamfam icons (1.32 MB, patch)
2013-05-31 14:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8662 - Remove unused famfamfam icons (1.33 MB, patch)
2013-06-13 08:44 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-08-21 19:29:32 UTC
We distribute 1,156 image files in the OPAC in the famfamfam collection, many many more than are used by Koha. I propose that we eliminate all but those which are in use.

I've gotten one request for an exemption:

http://search.myacpl.org/opac-tmpl/prog/famfamfam/silk/keyboard.png (referenced here: http://wiki.koha-community.org/wiki/How_to_add_an_OPAC_screen_keyboard)

If others agree that this is a worthwhile change, are there other exemptions you'd like to see?
Comment 1 Magnus Enger 2012-09-23 10:55:30 UTC
NORMARC XSLT has been using some famfamfam icons from the big collection, but if the patch on bug 8793 gets pushed it will only use icons from koha-tmpl/opac-tmpl/lib/famfamfam/ and koha-tmpl/intranet-tmpl/prog/img/famfamfam/ (not from the silk/ dirs below these dirs). So no objections from the Norwegian jury! ;-)
Comment 2 Owen Leonard 2012-10-25 13:51:05 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2012-12-07 16:49:26 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2012-12-07 16:52:19 UTC
I'm seeing no ill effects from the patch. I'm one of those people who'd rather keep all the images around just in case, but I do realize that we will never use 90% of these.
Comment 5 Jonathan Druart 2012-12-21 13:51:55 UTC
How to be sure that nobody use these files for a specific theme (for example)? Perhaps asking through a topic on koha and koha-devel would be good idea don't you think?
Comment 6 Katrin Fischer 2013-02-12 21:12:48 UTC
Can we get one or two more opinions on this one?
Comment 7 Owen Leonard 2013-04-15 15:01:05 UTC
Not many opinions were forthcoming:

http://lists.katipo.co.nz/public/koha/2013-April/035944.html
Comment 8 Katrin Fischer 2013-04-15 15:03:47 UTC
I think we should move this forward as there was no negative response to the idea.
Comment 9 Jonathan Druart 2013-05-30 14:56:28 UTC
Owen, could you resubmit a rebased patch please?

Applying: Bug 8662 - Remove unused famfamfam icons
Using index info to reconstruct a base tree...
error: patch failed: koha-tmpl/opac-tmpl/lib/famfamfam/mini/readme.txt:1
error: koha-tmpl/opac-tmpl/lib/famfamfam/mini/readme.txt: patch does not apply
Did you hand edit your patch?
It does not apply to blobs recorded in its index.
Cannot fall back to three-way merge.
Comment 10 Owen Leonard 2013-05-30 19:41:22 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2013-05-31 07:54:35 UTC
Owen, I'm still getting the same error applying the last patch :-/
Comment 12 Jonathan Druart 2013-05-31 14:12:07 UTC
I got another error using --ignore-whitespace:

# git am -3 --ignore-whitespace /tmp/BZ8662.patch
Applying: Bug 8662 - Remove unused famfamfam icons
error: corrupt binary patch at line 7593: z^9B<YSk|5uEYsxu!9bPB+;6=<UKb0;G`E{jgY|m-
Using index info to reconstruct a base tree...
error: corrupt binary patch at line 7593: z^9B<YSk|5uEYsxu!9bPB+;6=<UKb0;G`E{jgY|m-
error: removal patch leaves file contents
error: koha-tmpl/opac-tmpl/lib/famfamfam/silk/calculator.png: patch does not apply
Did you hand edit your patch?
It does not apply to blobs recorded in its index.
Comment 13 Owen Leonard 2013-05-31 14:28:07 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2013-06-04 12:17:34 UTC
Sorry Owen but I always get the same error, tested on several instance :-/

Could someone else try to apply it?
Comment 15 Chris Cormack 2013-06-13 08:44:40 UTC
Created attachment 18917 [details] [review]
Bug 8662 - Remove unused famfamfam icons

This patch removes images in the famfamfam directory
which are unused by Koha. Files to delete were chosen
based on a search of the Koha source.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 16 Galen Charlton 2013-06-13 14:31:19 UTC
Pushed to master.  Thanks, Owen!